Debian Bug report logs - #612245
ITP: fceux -- The all in one NES/Famicom Emulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joseph Nahmias <joe@nahmias.net>

Date: Mon, 7 Feb 2011 03:54:02 UTC

Owned by: Joseph Nahmias <joe@nahmias.net>

Severity: wishlist

Fixed in version fceux/2.2.1+dfsg0-1

Done: Joe Nahmias <jello@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, joe@nahmias.net, debian-devel@lists.debian.org, fceultra-discuss@lists.sourceforge.net, wnpp@debian.org:
Bug#612245; Package wnpp. (Mon, 07 Feb 2011 03:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Nahmias <joe@nahmias.net>:
New Bug report received and forwarded. Copy sent to joe@nahmias.net, debian-devel@lists.debian.org, fceultra-discuss@lists.sourceforge.net, wnpp@debian.org. (Mon, 07 Feb 2011 03:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joseph Nahmias <joe@nahmias.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: fceux -- The all in one NES/Famicom Emulator
Date: Sun, 06 Feb 2011 22:52:41 -0500
Package: wnpp
Severity: wishlist
Owner: Joseph Nahmias <joe@nahmias.net>

* Package name    : fceux
  Version         : 2.1.4a
  Upstream Author : see Authors.txt
* URL             : http://fceux.com/
* License         : GPL-2
  Programming Lang: C++
  Description     : The all in one NES/Famicom Emulator

FCEUX is an emulator of the original (8-bit) Nintendo Entertainment
System (NES) released under the GNU General Public License (GPL).  It
includes the following features (and many more):
       * fully customizable color palette rendering engine
       * complete sound emulation (all five channels)
       * support for up to four joystick controllers
       * zapper emulation for the mouse
       * GameGenie emulation
       * accepts compressed (PKZIP, gzip) ROM images
       * TCP/IP network play
       * Lua scripting




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#612245; Package wnpp. (Wed, 18 Apr 2012 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zagrabelny <mzagrabe@d.umn.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Wed, 18 Apr 2012 16:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 612245@bugs.debian.org (full text, mbox):

From: Matt Zagrabelny <mzagrabe@d.umn.edu>
To: 612245@bugs.debian.org
Subject: how is the progress?
Date: Wed, 18 Apr 2012 10:47:24 -0500
How are things progressing for packaging fceux?

Thanks!

-mz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#612245; Package wnpp. (Sat, 29 Sep 2012 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Sat, 29 Sep 2012 13:18:06 GMT) Full text and rfc822 format available.

Message #15 received at 612245@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: 612245@bugs.debian.org
Subject: Status of this ITP
Date: Sat, 29 Sep 2012 15:14:52 +0200
Hello Joe,

Are you still planning on pursuing this?

I contacted you in June, and then you responded affirmatively
regarding this. After this, I haven't received any response from you.

// Alexander



Information stored :
Bug#612245; Package wnpp. (Sat, 13 Oct 2012 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Sat, 13 Oct 2012 03:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Alexander Toresson <alexander.toresson@gmail.com>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Fri, 12 Oct 2012 23:11:45 -0400
Hi Alexander,

Okay, I've made quite a bit of progress, here's the changelog:

fceux (2.1.6~r2695-2) UNRELEASED; urgency=low

  * add co-maintainer Alexander Toresson <alexander.toresson@gmail.com>
  * Bump debhelper compatibility to v9 for hardened building
  * New patches:
    + fix possible format string problem
    + set default directories for lua scripts & palettes, thanks Alexander
      Toresson
  * update lua patch to remove savestate optimization that relies on
    lua internals, thanks to Alexander Toresson.
  * install sample palettes, lua scripts, and lua library
  * create manpage for fceux-net-server

 -- Joe Nahmias <jello@debian.org>  Fri, 12 Oct 2012 21:10:11 -0400

You can fetch the package by running:

  $ dget -u http://joe.nahmias.net/fceux_2.1.6~r2695-2_source.changes

The only thing really left on the TODO list is to update the copyright
file.  The one that you did is a good start, but it needs a few things
tweaked:

  a - you should only have each license text once (as its own stanza), and
      then refer to it in the relevant file stanzas
  b - you need to be more careful about who has copyright on which files,
      for example, see how I started to divide up the files in the
      copyright file I started.
  c - there are a number of file sections that don't make sense to me as
      well; for instance what part was done by Fabrice Coutadeur, or how
      do you know adelikat did the png, and why is there an non-existant
      xpm file listed?

So, if you can put a bit more effort and clean up the copyright file I
think we'll be just about done here and ready to upload to unstable.

The only other thing will be to see how many of these patches we can push
upstream before they do another release.  Do you have any idea of when
they will make 2.1.6 available?

Thanks and happy testing,
--Joe


On Mon, Oct 08, 2012 at 11:28:41PM +0200, Alexander Toresson wrote:
> Hello Joe,
> 
> I've attached my patches. I recommend a slightly different approach to
> patching FCEUX to use the system Lua. Currently, FCEUX accesses
> internal Lua structs, which may change at any moment. So FCEUX may
> break if the system Lua goes out of sync with the Lua included in the
> FCEUX source, and require a rebuild against a newer lstate.h. The
> reason FCEUX relies on stuff in lstate.h is to be able to perform
> slightly optimized calls to Lua code. I have simply removed the
> optimization to remove the dependency. I haven't measured what the
> performance penalty for this is.
> 
> The second patch is to prevent underlinking of zlib, libdl and xlib.
> 
> The last and third patch is to make the  open lua script and open
> palette windows default their directory to installed lua scripts and
> palettes, respectively. For this to work, these also have to be
> installed, for example like this:
> 
> output/palettes usr/share/fceux
> output/luaScripts usr/share/fceux
> bin/auxlib.lua usr/share/fceux/luaScripts
> 
> Which would be nice to have regardless of whether you decide to
> include this patch or not.
> 
> I've also attached a slightly updated debian/copyright.
> 
> I noticed that you get the following lintian warnings:
> 
> W: fceux: hardening-no-relro usr/games/fceux
> W: fceux: hardening-no-fortify-functions usr/games/fceux
> W: fceux: hardening-no-relro usr/games/fceux-net-server
> W: fceux: hardening-no-fortify-functions usr/games/fceux-net-server
> 
> I had trouble with this too when I made my package, and the solution
> then was to let SConstruct read more environment variables, CXXFLAGS
> and LDFLAGS I think. But the patch this required is already in 2.1.6.
> I'll take a look later to see if I can figure it out.
> 
> Regards, Alexander
> 
> On Mon, Oct 8, 2012 at 5:20 PM, Alexander Toresson
> <alexander.toresson@gmail.com> wrote:
> > Nice! I attached the d/copyright to my last e-mail, but it's the one
> > made for 2.1.5. When I prepare the patch(es) (maybe tonight, if I have
> > time) I'll also check if it needs to be updated for 2.1.6.
> >
> > // Alexander
> >
> > On Mon, Oct 8, 2012 at 2:26 PM, Joe Nahmias <joe@nahmias.net> wrote:
> >> That's great.  I can modify the get_source.sh to remove the parts that
> >> cannot be redistributed when creating the tarball.
> >>
> >> So, if you can send me your patches and your d/copyright I'd be happy to
> >> include them and make you a co-maintainer.
> >>
> >> --Joe
> >>
> >> On Mon, Oct 08, 2012 at 12:19:22AM +0200, Alexander Toresson wrote:
> >>> Oh, and debian/copyright should mention all the licenses that are
> >>> used, not just GPL-2. I made a nice machine-readable debian/copyright
> >>> for 2.1.5; it probably only needs minor updates for 2.1.6, if any at
> >>> all.
> >>>
> >>> // Alexander
> >>>
> >>> On Mon, Oct 8, 2012 at 12:14 AM, Alexander Toresson
> >>> <alexander.toresson@gmail.com> wrote:
> >>> > Hey Joe!
> >>> >
> >>> > This looks awesome, really nice that you packaged a svn revision!
> >>> > (they are afaik supposed to be preparing a 2.1.6 release, I mailed
> >>> > Lukas a while ago about it, no reply yet tho)
> >>> >
> >>> > I have a couple of patches that I'd like to see added, although I
> >>> > think most are made obsolete by using the latest svn revision and not
> >>> > 2.1.5. I'll adapt these for this svn revision (later this week).
> >>> >
> >>> > Also, I don't think it's possible to redistribute all parts of the
> >>> > upstream tarball; I repackage it and remove src/drivers/win/directx/
> >>> > and vc/.
> >>> >
> >>> > Regards, Alexander
> >>> >
> >>> > On Sun, Oct 7, 2012 at 11:28 PM, Joe Nahmias <joe@nahmias.net> wrote:
> >>> >> Hi Alexander,
> >>> >>
> >>> >> Sorry for being MIA the past few months.  I've recently picked up fceux
> >>> >> again and prepared a preliminary package.  If you're still interested,
> >>> >> you can grab the source by doing:
> >>> >>
> >>> >> $ dget -u http://joe.nahmias.net/fceux_2.1.6~r2695-1_source.changes
> >>> >>
> >>> >> Let me know what you think,
> >>> >> --Joe
> >>> >>
> >>> >> On Fri, Jun 22, 2012 at 10:03:24AM +0200, Alexander Toresson wrote:
> >>> >>> Hello Joe,
> >>> >>>
> >>> >>> One more question (a rather important one): What license are the
> >>> >>> debian/* files in your fceu source package? I need this to properly
> >>> >>> attribute you in my fceux source package.
> >>> >>> In the latest version of it (http://mentors.debian.net/package/fceux)
> >>> >>> I assumed that it was GPL-2.0+, but I've realized that I need to ask
> >>> >>> you.
> >>> >>>
> >>> >>> // Alexander
> >>> >>>
> >>> >>> On Sun, Jun 17, 2012 at 10:19 AM, Alexander Toresson
> >>> >>> <alexander.toresson@gmail.com> wrote:
> >>> >>> > Hello,
> >>> >>> >
> >>> >>> > On Sun, Jun 17, 2012 at 2:14 AM, Joe Nahmias <joe@nahmias.net> wrote:
> >>> >>> >> Hello,
> >>> >>> >>
> >>> >>> >> On Sun, Jun 10, 2012 at 10:19:13PM +0200, Alexander Toresson wrote:
> >>> >>> >>> Hello Joe,
> >>> >>> >>>
> >>> >>> >>> I'd be infinitely grateful if you could answer a few short questions for me:
> >>> >>> >>>
> >>> >>> >>> Do you intend to continue maintaining FCEU in Debian?
> >>> >>> >> Yes, but would be very open to group maintenance
> >>> >>> >
> >>> >>> > Sorry, I'm not interesting in helping out with FCEU, for various
> >>> >>> > reasons - the last release was in 2004, upstream has disappeared, and
> >>> >>> > it still uses OSS.
> >>> >>> >
> >>> >>> >>> Do you intend to package FCEUX for Debian?
> >>> >>> >> Yes, I have had discussions with one of the upstream authors about some
> >>> >>> >> changes that needed to happen in order to make that possible.
> >>> >>> >
> >>> >>> > Oh, interesting, which are these necessary changes?
> >>> >>> >
> >>> >>> >>> Do you think or not think that it would be natural to introduce a
> >>> >>> >>> transitional package that provides an upgrade path from FCEU to FCEUX?
> >>> >>> >>
> >>> >>> >> I'm divided on this point.  I don't see the harm in keeping both around,
> >>> >>> >> especially since not all FCEU features are in FCEUX.
> >>> >>> >
> >>> >>> > I fully respect this, and will focus my effort on getting FCEUX into
> >>> >>> > Debian, independently of FCEU. Which are these features with are
> >>> >>> > available in FCEU, but not in FCEUX?
> >>> >>> >
> >>> >>> >>> Regards, Alexander Toresson
> >>> >>> >>
> >>> >>> >> --Joe
> >>> >>> >
> >>> >>> > Regards, Alexander Toresson
> >>
> >>








Information stored :
Bug#612245; Package wnpp. (Sun, 14 Oct 2012 20:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 14 Oct 2012 20:27:10 GMT) Full text and rfc822 format available.

Message #25 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Sun, 14 Oct 2012 22:22:32 +0200
On Sat, Oct 13, 2012 at 5:11 AM, Joe Nahmias <joe@nahmias.net> wrote:
> Hi Alexander,
>
> Okay, I've made quite a bit of progress, here's the changelog:
>
> fceux (2.1.6~r2695-2) UNRELEASED; urgency=low
>
>   * add co-maintainer Alexander Toresson <alexander.toresson@gmail.com>
>   * Bump debhelper compatibility to v9 for hardened building
>   * New patches:
>     + fix possible format string problem
>     + set default directories for lua scripts & palettes, thanks Alexander
>       Toresson
>   * update lua patch to remove savestate optimization that relies on
>     lua internals, thanks to Alexander Toresson.
>   * install sample palettes, lua scripts, and lua library
>   * create manpage for fceux-net-server
>
>  -- Joe Nahmias <jello@debian.org>  Fri, 12 Oct 2012 21:10:11 -0400
>
> You can fetch the package by running:
>
>   $ dget -u http://joe.nahmias.net/fceux_2.1.6~r2695-2_source.changes
>
> The only thing really left on the TODO list is to update the copyright
> file.  The one that you did is a good start, but it needs a few things
> tweaked:
>
>   a - you should only have each license text once (as its own stanza), and
>       then refer to it in the relevant file stanzas

Oh, I had missed that you could do this! That's convenient.

>   b - you need to be more careful about who has copyright on which files,
>       for example, see how I started to divide up the files in the
>       copyright file I started.

Do you also need to divide up different years, or just different
authors? I.e. can I for example merge a "Copyright 2011" and a
"Copyright 2012" of the same author into a "Copyright 2011-2012"?

>   c - there are a number of file sections that don't make sense to me as
>       well; for instance what part was done by Fabrice Coutadeur, or how
>       do you know adelikat did the png, and why is there an non-existant
>       xpm file listed?

Sorry, this was part of my own packaging, which I forgot to remove. I
added the png and xpm files manually to the debian packaging because
it wasn't included in the source tarball. Now at least the png is
included. I don't remember my source for that this icon was created by
adelikat. I actually converted the png into the xpm format, to provide
an icon for the menu entry.
I based part of my packaging on Fabrice Coutadeur's packaging for
Ubuntu. This is of course not applicable to your packaging (none of
the patches I supplied originated from him).

> So, if you can put a bit more effort and clean up the copyright file I
> think we'll be just about done here and ready to upload to unstable.

I'll get this done within at most a week (currently covered in work
due to exams approaching...).

> The only other thing will be to see how many of these patches we can push
> upstream before they do another release.  Do you have any idea of when
> they will make 2.1.6 available?

I've been in contact with Lukas Sabota. They are currently in an
informal feature-freeze for a 2.1.6 release, and are aiming to release
it around the end of October or the beginning of November, so we have
a couple of weeks to get the patches in. At least Lukas has been very
welcoming with patches, so the patches which are specific to the SDL
port should not be any problem at all.

> Thanks and happy testing,
> --Joe

Thanks!

> On Mon, Oct 08, 2012 at 11:28:41PM +0200, Alexander Toresson wrote:
>> Hello Joe,
>>
>> I've attached my patches. I recommend a slightly different approach to
>> patching FCEUX to use the system Lua. Currently, FCEUX accesses
>> internal Lua structs, which may change at any moment. So FCEUX may
>> break if the system Lua goes out of sync with the Lua included in the
>> FCEUX source, and require a rebuild against a newer lstate.h. The
>> reason FCEUX relies on stuff in lstate.h is to be able to perform
>> slightly optimized calls to Lua code. I have simply removed the
>> optimization to remove the dependency. I haven't measured what the
>> performance penalty for this is.
>>
>> The second patch is to prevent underlinking of zlib, libdl and xlib.
>>
>> The last and third patch is to make the  open lua script and open
>> palette windows default their directory to installed lua scripts and
>> palettes, respectively. For this to work, these also have to be
>> installed, for example like this:
>>
>> output/palettes usr/share/fceux
>> output/luaScripts usr/share/fceux
>> bin/auxlib.lua usr/share/fceux/luaScripts
>>
>> Which would be nice to have regardless of whether you decide to
>> include this patch or not.
>>
>> I've also attached a slightly updated debian/copyright.
>>
>> I noticed that you get the following lintian warnings:
>>
>> W: fceux: hardening-no-relro usr/games/fceux
>> W: fceux: hardening-no-fortify-functions usr/games/fceux
>> W: fceux: hardening-no-relro usr/games/fceux-net-server
>> W: fceux: hardening-no-fortify-functions usr/games/fceux-net-server
>>
>> I had trouble with this too when I made my package, and the solution
>> then was to let SConstruct read more environment variables, CXXFLAGS
>> and LDFLAGS I think. But the patch this required is already in 2.1.6.
>> I'll take a look later to see if I can figure it out.
>>
>> Regards, Alexander
>>
>> On Mon, Oct 8, 2012 at 5:20 PM, Alexander Toresson
>> <alexander.toresson@gmail.com> wrote:
>> > Nice! I attached the d/copyright to my last e-mail, but it's the one
>> > made for 2.1.5. When I prepare the patch(es) (maybe tonight, if I have
>> > time) I'll also check if it needs to be updated for 2.1.6.
>> >
>> > // Alexander
>> >
>> > On Mon, Oct 8, 2012 at 2:26 PM, Joe Nahmias <joe@nahmias.net> wrote:
>> >> That's great.  I can modify the get_source.sh to remove the parts that
>> >> cannot be redistributed when creating the tarball.
>> >>
>> >> So, if you can send me your patches and your d/copyright I'd be happy to
>> >> include them and make you a co-maintainer.
>> >>
>> >> --Joe
>> >>
>> >> On Mon, Oct 08, 2012 at 12:19:22AM +0200, Alexander Toresson wrote:
>> >>> Oh, and debian/copyright should mention all the licenses that are
>> >>> used, not just GPL-2. I made a nice machine-readable debian/copyright
>> >>> for 2.1.5; it probably only needs minor updates for 2.1.6, if any at
>> >>> all.
>> >>>
>> >>> // Alexander
>> >>>
>> >>> On Mon, Oct 8, 2012 at 12:14 AM, Alexander Toresson
>> >>> <alexander.toresson@gmail.com> wrote:
>> >>> > Hey Joe!
>> >>> >
>> >>> > This looks awesome, really nice that you packaged a svn revision!
>> >>> > (they are afaik supposed to be preparing a 2.1.6 release, I mailed
>> >>> > Lukas a while ago about it, no reply yet tho)
>> >>> >
>> >>> > I have a couple of patches that I'd like to see added, although I
>> >>> > think most are made obsolete by using the latest svn revision and not
>> >>> > 2.1.5. I'll adapt these for this svn revision (later this week).
>> >>> >
>> >>> > Also, I don't think it's possible to redistribute all parts of the
>> >>> > upstream tarball; I repackage it and remove src/drivers/win/directx/
>> >>> > and vc/.
>> >>> >
>> >>> > Regards, Alexander
>> >>> >
>> >>> > On Sun, Oct 7, 2012 at 11:28 PM, Joe Nahmias <joe@nahmias.net> wrote:
>> >>> >> Hi Alexander,
>> >>> >>
>> >>> >> Sorry for being MIA the past few months.  I've recently picked up fceux
>> >>> >> again and prepared a preliminary package.  If you're still interested,
>> >>> >> you can grab the source by doing:
>> >>> >>
>> >>> >> $ dget -u http://joe.nahmias.net/fceux_2.1.6~r2695-1_source.changes
>> >>> >>
>> >>> >> Let me know what you think,
>> >>> >> --Joe
>> >>> >>
>> >>> >> On Fri, Jun 22, 2012 at 10:03:24AM +0200, Alexander Toresson wrote:
>> >>> >>> Hello Joe,
>> >>> >>>
>> >>> >>> One more question (a rather important one): What license are the
>> >>> >>> debian/* files in your fceu source package? I need this to properly
>> >>> >>> attribute you in my fceux source package.
>> >>> >>> In the latest version of it (http://mentors.debian.net/package/fceux)
>> >>> >>> I assumed that it was GPL-2.0+, but I've realized that I need to ask
>> >>> >>> you.
>> >>> >>>
>> >>> >>> // Alexander
>> >>> >>>
>> >>> >>> On Sun, Jun 17, 2012 at 10:19 AM, Alexander Toresson
>> >>> >>> <alexander.toresson@gmail.com> wrote:
>> >>> >>> > Hello,
>> >>> >>> >
>> >>> >>> > On Sun, Jun 17, 2012 at 2:14 AM, Joe Nahmias <joe@nahmias.net> wrote:
>> >>> >>> >> Hello,
>> >>> >>> >>
>> >>> >>> >> On Sun, Jun 10, 2012 at 10:19:13PM +0200, Alexander Toresson wrote:
>> >>> >>> >>> Hello Joe,
>> >>> >>> >>>
>> >>> >>> >>> I'd be infinitely grateful if you could answer a few short questions for me:
>> >>> >>> >>>
>> >>> >>> >>> Do you intend to continue maintaining FCEU in Debian?
>> >>> >>> >> Yes, but would be very open to group maintenance
>> >>> >>> >
>> >>> >>> > Sorry, I'm not interesting in helping out with FCEU, for various
>> >>> >>> > reasons - the last release was in 2004, upstream has disappeared, and
>> >>> >>> > it still uses OSS.
>> >>> >>> >
>> >>> >>> >>> Do you intend to package FCEUX for Debian?
>> >>> >>> >> Yes, I have had discussions with one of the upstream authors about some
>> >>> >>> >> changes that needed to happen in order to make that possible.
>> >>> >>> >
>> >>> >>> > Oh, interesting, which are these necessary changes?
>> >>> >>> >
>> >>> >>> >>> Do you think or not think that it would be natural to introduce a
>> >>> >>> >>> transitional package that provides an upgrade path from FCEU to FCEUX?
>> >>> >>> >>
>> >>> >>> >> I'm divided on this point.  I don't see the harm in keeping both around,
>> >>> >>> >> especially since not all FCEU features are in FCEUX.
>> >>> >>> >
>> >>> >>> > I fully respect this, and will focus my effort on getting FCEUX into
>> >>> >>> > Debian, independently of FCEU. Which are these features with are
>> >>> >>> > available in FCEU, but not in FCEUX?
>> >>> >>> >
>> >>> >>> >>> Regards, Alexander Toresson
>> >>> >>> >>
>> >>> >>> >> --Joe
>> >>> >>> >
>> >>> >>> > Regards, Alexander Toresson
>> >>
>> >>
>
>
>
>
>



Information stored :
Bug#612245; Package wnpp. (Sat, 20 Oct 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Sat, 20 Oct 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Alexander Toresson <alexander.toresson@gmail.com>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Sat, 20 Oct 2012 19:42:45 -0400
On Sun, Oct 14, 2012 at 10:22:32PM +0200, Alexander Toresson wrote:
> On Sat, Oct 13, 2012 at 5:11 AM, Joe Nahmias <joe@nahmias.net> wrote:
> >   b - you need to be more careful about who has copyright on which files,
> >       for example, see how I started to divide up the files in the
> >       copyright file I started.
> 
> Do you also need to divide up different years, or just different
> authors? I.e. can I for example merge a "Copyright 2011" and a
> "Copyright 2012" of the same author into a "Copyright 2011-2012"?

Yes, that's fine.

> >   c - there are a number of file sections that don't make sense to me as
> >       well; for instance what part was done by Fabrice Coutadeur, or how
> >       do you know adelikat did the png, and why is there an non-existant
> >       xpm file listed?
> 
> Sorry, this was part of my own packaging, which I forgot to remove. I
> added the png and xpm files manually to the debian packaging because
> it wasn't included in the source tarball. Now at least the png is
> included. I don't remember my source for that this icon was created by
> adelikat. I actually converted the png into the xpm format, to provide
> an icon for the menu entry.

Maybe it's in the upstream svn that it was adelikat who committed it...

Good idea about the xpm -- I can convert it using imagemagik.

> I based part of my packaging on Fabrice Coutadeur's packaging for
> Ubuntu. This is of course not applicable to your packaging (none of
> the patches I supplied originated from him).

Okay.

> > So, if you can put a bit more effort and clean up the copyright file I
> > think we'll be just about done here and ready to upload to unstable.
> 
> I'll get this done within at most a week (currently covered in work
> due to exams approaching...).
> 
> > The only other thing will be to see how many of these patches we can push
> > upstream before they do another release.  Do you have any idea of when
> > they will make 2.1.6 available?
> 
> I've been in contact with Lukas Sabota. They are currently in an
> informal feature-freeze for a 2.1.6 release, and are aiming to release
> it around the end of October or the beginning of November, so we have
> a couple of weeks to get the patches in. At least Lukas has been very
> welcoming with patches, so the patches which are specific to the SDL
> port should not be any problem at all.

Great.  Feel free to forward him any/all of my patches.  I'll also try to
record them in the SF project.

Looking forward to seeing your work.
--Joe



Information stored :
Bug#612245; Package wnpp. (Sun, 28 Oct 2012 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Sun, 28 Oct 2012 19:06:05 GMT) Full text and rfc822 format available.

Message #35 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Lukas Sabota <ltsmooth42@gmail.com>
Cc: Alexander Toresson <alexander.toresson@gmail.com>, 612245-quiet@bugs.debian.org
Subject: FCEUX patches from Debian
Date: Sun, 28 Oct 2012 15:03:12 -0400
[Message part 1 (text/plain, inline)]
Hi Lukas,

We had talked a while back about doing a package of FCEUX for Debian.
Well, with Alexander's encouragement, I'm almost at the point where it's
ready.  I wanted to check in with you and see what are the plans for a new
version [2.1.6] any time soon.

Also, I have a number of patches that are against r2695 that should go
into the main build.  They are:

1 - install_to_games_instead_of_bin: as the title says, fceux should
be installed the the games/ subdir -- not bin/.

2 - fix_desktop_file: this one fixes running FCEUX after it moves to
games/.  Also adds it as a handler for NES roms.

3 - install_net-server: adds rules to install the multiplayer server.

4 - fix_filename_of_default_server_config_file: renames the default config
file from fceu => fceux.

5 - fix_possible_format_string_error: this fixes a problem with the call
to gtk_message_dialog_new() when loading the game genie rom which could
lead to a security issue.

6 - fix_segfault_upon_F2: fixes an issue with re-using the var-arg list
without resetting it.

7 - fceux-net-server.6: manpage for the multiplayer network server.

Note 5 & 6 were discovered after building with some special compiler flags
for security hardening, but should be applicable in all cases.

We've also had to disable the lua optimization in src/lua-engine.cpp
becuase it is tied to the lua internals that can change from version to
version.  I don't know how much it affects performance, but it's not
something we can have in Debian where we link to the system's version of
the lua library, which can change without warning.

Please let me know if you have any questions about any of this.
--Joe

[fix_desktop_file.patch (text/x-diff, attachment)]
[fix_filename_of_default_server_config_file.patch (text/x-diff, attachment)]
[fix_possible_format_string_error.patch (text/x-diff, attachment)]
[fix_segfault_upon_F2.patch (text/x-diff, attachment)]
[install_net-server.patch (text/x-diff, attachment)]
[install_to_games_instead_of_bin.patch (text/x-diff, attachment)]
[fceux-net-server.6 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#612245; Package wnpp. (Mon, 11 Mar 2013 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Mon, 11 Mar 2013 06:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 612245@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Alexander Toresson <alexander.toresson@gmail.com>
Cc: 612245@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Mon, 11 Mar 2013 02:04:21 -0400
On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
> I've gone through the lua scripts. Many of them are by FCEUX
> contributors who committed them themselves, so GPL-2+ should apply to
> them.
> 
> However, there are scripts by a few other authors, with unspecified
> license. I'll need to investigate those.
> 
> // Alexander

That's very good.  Just so you know, I've set up a collab-maint git repo
on alioth for the packaging.  You can find it at:
http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git

If you can get access to alioth, then you should be able to commit
directly there.

--Joe



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#612245; Package wnpp. (Mon, 11 Mar 2013 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Mon, 11 Mar 2013 07:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 612245@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Mon, 11 Mar 2013 08:37:13 +0100
Thanks, that's great! I'll look into how to get access to Alioth.

I contacted three people about theur Lua scripts (the three I have
found contact info for so far), I already got replies from two.

// Alexander

On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
>> I've gone through the lua scripts. Many of them are by FCEUX
>> contributors who committed them themselves, so GPL-2+ should apply to
>> them.
>>
>> However, there are scripts by a few other authors, with unspecified
>> license. I'll need to investigate those.
>>
>> // Alexander
>
> That's very good.  Just so you know, I've set up a collab-maint git repo
> on alioth for the packaging.  You can find it at:
> http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git
>
> If you can get access to alioth, then you should be able to commit
> directly there.
>
> --Joe



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#612245; Package wnpp. (Mon, 11 Mar 2013 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Mon, 11 Mar 2013 22:27:03 GMT) Full text and rfc822 format available.

Message #50 received at 612245@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Mon, 11 Mar 2013 23:22:46 +0100
I have registered an account on Alioth and requested access to the
collab-maint repo, for the fceux repo.

Can you request access for my account chellomere-guest to the fceux repo?

In other news, I received replies from the third mail I sent out
regarding Lua script licenses today.

Thanks,
Alexander

On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
<alexander.toresson@gmail.com> wrote:
> Thanks, that's great! I'll look into how to get access to Alioth.
>
> I contacted three people about theur Lua scripts (the three I have
> found contact info for so far), I already got replies from two.
>
> // Alexander
>
> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
>>> I've gone through the lua scripts. Many of them are by FCEUX
>>> contributors who committed them themselves, so GPL-2+ should apply to
>>> them.
>>>
>>> However, there are scripts by a few other authors, with unspecified
>>> license. I'll need to investigate those.
>>>
>>> // Alexander
>>
>> That's very good.  Just so you know, I've set up a collab-maint git repo
>> on alioth for the packaging.  You can find it at:
>> http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git
>>
>> If you can get access to alioth, then you should be able to commit
>> directly there.
>>
>> --Joe



Information stored :
Bug#612245; Package wnpp. (Fri, 05 Apr 2013 19:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Nahmias <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Fri, 05 Apr 2013 19:03:07 GMT) Full text and rfc822 format available.

Message #55 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Joe Nahmias <joe@nahmias.net>
To: sakax <sakamotox@gmail.com>
Cc: pkg-games-devel@lists.alioth.debian.org, 612245-quiet@bugs.debian.org
Subject: Re: Heavily outdated package FCEU (NES emulator): new maintainer required?
Date: Fri, 05 Apr 2013 14:54:37 -0400
Hello sakamoto,

Thanks for you interest in fceu/fceux.  I am in the process of preparing 
packages for fceux, see the git repo on collab-maint: 
<http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git>.

Although the packaging is almost done at this point, let me know if 
you're interested in helping or becoming a co-maintainer.

--Joe

On 4/3/2013 8:53 AM, sakax wrote:
> Hi Debian Games Team
>
> I am wondering if your team could also become the maintainer of package
> *fceu* which is a great lightweight NES emulator?
>
> http://packages.debian.org/wheezy/fceu
>
> The existing package maintainer Joe Nahmias (jello@debian.org) seems not
> to be active anymore. Package *fceu* is heavily outdated and therefore
> has many open bug reports which all will be solved by just updating the
> package to the latest version 2.2.1.1. This version compiles without any
> issues on Debian testing.
>
> http://www.fceux.com/web/download.html
> http://sourceforge.net/projects/fceultra/
>
> I would be happy to help but I am struggling getting used to the Debian
> packaging process. Thanks in advance for your consideration.
>
> Fyi, I also included Joe Nahmias on this email in case he would still be
> reading his emails.
>
> Regards
> sakamoto




Information stored :
Bug#612245; Package wnpp. (Wed, 10 Apr 2013 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Nahmias <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Wed, 10 Apr 2013 19:36:05 GMT) Full text and rfc822 format available.

Message #60 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Joe Nahmias <joe@nahmias.net>
To: Alexander Toresson <alexander.toresson@gmail.com>, 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Wed, 10 Apr 2013 15:33:14 -0400
Hello Alexander,

How are you doing?  Do you have an update on the copyright file for 
fceux?  Have you been granted access to collab-maint yet?  If yes, can 
you push your updates to there soon?  I've been getting many inquiries 
about fceux and I'd like to make an upload to experimental next week.

Thanks,
--Joe

On 3/11/2013 6:22 PM, Alexander Toresson wrote:
> I have registered an account on Alioth and requested access to the
> collab-maint repo, for the fceux repo.
>
> Can you request access for my account chellomere-guest to the fceux repo?
>
> In other news, I received replies from the third mail I sent out
> regarding Lua script licenses today.
>
> Thanks,
> Alexander
>
> On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
> <alexander.toresson@gmail.com> wrote:
>> Thanks, that's great! I'll look into how to get access to Alioth.
>>
>> I contacted three people about theur Lua scripts (the three I have
>> found contact info for so far), I already got replies from two.
>>
>> // Alexander
>>
>> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
>>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
>>>> I've gone through the lua scripts. Many of them are by FCEUX
>>>> contributors who committed them themselves, so GPL-2+ should apply to
>>>> them.
>>>>
>>>> However, there are scripts by a few other authors, with unspecified
>>>> license. I'll need to investigate those.
>>>>
>>>> // Alexander
>>>
>>> That's very good.  Just so you know, I've set up a collab-maint git repo
>>> on alioth for the packaging.  You can find it at:
>>> http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git
>>>
>>> If you can get access to alioth, then you should be able to commit
>>> directly there.
>>>
>>> --Joe



Information stored :
Bug#612245; Package wnpp. (Wed, 10 Apr 2013 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and filed, but not forwarded. (Wed, 10 Apr 2013 19:54:04 GMT) Full text and rfc822 format available.

Message #65 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Wed, 10 Apr 2013 21:51:42 +0200
[Message part 1 (text/plain, inline)]
Hey Joe!

I was granted access a few days ago. The copyright file is basically done.
I'll try to get it pushed this weekend, but I may get time as early as
tonight.

// Alexander


On Wed, Apr 10, 2013 at 9:33 PM, Joe Nahmias <joe@nahmias.net> wrote:

> Hello Alexander,
>
> How are you doing?  Do you have an update on the copyright file for fceux?
>  Have you been granted access to collab-maint yet?  If yes, can you push
> your updates to there soon?  I've been getting many inquiries about fceux
> and I'd like to make an upload to experimental next week.
>
> Thanks,
> --Joe
>
>
> On 3/11/2013 6:22 PM, Alexander Toresson wrote:
>
>> I have registered an account on Alioth and requested access to the
>> collab-maint repo, for the fceux repo.
>>
>> Can you request access for my account chellomere-guest to the fceux repo?
>>
>> In other news, I received replies from the third mail I sent out
>> regarding Lua script licenses today.
>>
>> Thanks,
>> Alexander
>>
>> On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
>> <alexander.toresson@gmail.com> wrote:
>>
>>> Thanks, that's great! I'll look into how to get access to Alioth.
>>>
>>> I contacted three people about theur Lua scripts (the three I have
>>> found contact info for so far), I already got replies from two.
>>>
>>> // Alexander
>>>
>>> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
>>>
>>>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
>>>>
>>>>> I've gone through the lua scripts. Many of them are by FCEUX
>>>>> contributors who committed them themselves, so GPL-2+ should apply to
>>>>> them.
>>>>>
>>>>> However, there are scripts by a few other authors, with unspecified
>>>>> license. I'll need to investigate those.
>>>>>
>>>>> // Alexander
>>>>>
>>>>
>>>> That's very good.  Just so you know, I've set up a collab-maint git repo
>>>> on alioth for the packaging.  You can find it at:
>>>> http://anonscm.debian.org/**gitweb/?p=collab-maint/fceux.**git<http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git>
>>>>
>>>> If you can get access to alioth, then you should be able to commit
>>>> directly there.
>>>>
>>>> --Joe
>>>>
>>>
[Message part 2 (text/html, inline)]

Information stored :
Bug#612245; Package wnpp. (Sun, 14 Apr 2013 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 14 Apr 2013 21:03:05 GMT) Full text and rfc822 format available.

Message #70 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Sun, 14 Apr 2013 23:01:05 +0200
[Message part 1 (text/plain, inline)]
Finished a first version of it today, then realized that I needed to add a
public key, which didn't seem to take effect immediately, so I guess I will
try tomorrow too, and if it doesn't work then I'll ask the guy that granted
me access.


On Wed, Apr 10, 2013 at 9:51 PM, Alexander Toresson <
alexander.toresson@gmail.com> wrote:

> Hey Joe!
>
> I was granted access a few days ago. The copyright file is basically done.
> I'll try to get it pushed this weekend, but I may get time as early as
> tonight.
>
> // Alexander
>
>
> On Wed, Apr 10, 2013 at 9:33 PM, Joe Nahmias <joe@nahmias.net> wrote:
>
>> Hello Alexander,
>>
>> How are you doing?  Do you have an update on the copyright file for
>> fceux?  Have you been granted access to collab-maint yet?  If yes, can you
>> push your updates to there soon?  I've been getting many inquiries about
>> fceux and I'd like to make an upload to experimental next week.
>>
>> Thanks,
>> --Joe
>>
>>
>> On 3/11/2013 6:22 PM, Alexander Toresson wrote:
>>
>>> I have registered an account on Alioth and requested access to the
>>> collab-maint repo, for the fceux repo.
>>>
>>> Can you request access for my account chellomere-guest to the fceux repo?
>>>
>>> In other news, I received replies from the third mail I sent out
>>> regarding Lua script licenses today.
>>>
>>> Thanks,
>>> Alexander
>>>
>>> On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
>>> <alexander.toresson@gmail.com> wrote:
>>>
>>>> Thanks, that's great! I'll look into how to get access to Alioth.
>>>>
>>>> I contacted three people about theur Lua scripts (the three I have
>>>> found contact info for so far), I already got replies from two.
>>>>
>>>> // Alexander
>>>>
>>>> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
>>>>
>>>>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
>>>>>
>>>>>> I've gone through the lua scripts. Many of them are by FCEUX
>>>>>> contributors who committed them themselves, so GPL-2+ should apply to
>>>>>> them.
>>>>>>
>>>>>> However, there are scripts by a few other authors, with unspecified
>>>>>> license. I'll need to investigate those.
>>>>>>
>>>>>> // Alexander
>>>>>>
>>>>>
>>>>> That's very good.  Just so you know, I've set up a collab-maint git
>>>>> repo
>>>>> on alioth for the packaging.  You can find it at:
>>>>> http://anonscm.debian.org/**gitweb/?p=collab-maint/fceux.**git<http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git>
>>>>>
>>>>> If you can get access to alioth, then you should be able to commit
>>>>> directly there.
>>>>>
>>>>> --Joe
>>>>>
>>>>
>
[Message part 2 (text/html, inline)]

Information stored :
Bug#612245; Package wnpp. (Tue, 16 Apr 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 16 Apr 2013 20:33:04 GMT) Full text and rfc822 format available.

Message #75 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Tue, 16 Apr 2013 22:30:18 +0200
[Message part 1 (text/plain, inline)]
Here's the latest version of the copyright file.

I haven't been able to verify with some utility that the syntax is correct.
I think that lintian may include some tool to verify machine-readable
copyright files, but I didn't manage to build any of the old packages I had
lying around here tonight. Will have to do that later this week, if
necessary.

// Alexander


On Sun, Apr 14, 2013 at 11:01 PM, Alexander Toresson <
alexander.toresson@gmail.com> wrote:

> Finished a first version of it today, then realized that I needed to add a
> public key, which didn't seem to take effect immediately, so I guess I will
> try tomorrow too, and if it doesn't work then I'll ask the guy that granted
> me access.
>
>
> On Wed, Apr 10, 2013 at 9:51 PM, Alexander Toresson <
> alexander.toresson@gmail.com> wrote:
>
>> Hey Joe!
>>
>> I was granted access a few days ago. The copyright file is basically
>> done. I'll try to get it pushed this weekend, but I may get time as early
>> as tonight.
>>
>> // Alexander
>>
>>
>> On Wed, Apr 10, 2013 at 9:33 PM, Joe Nahmias <joe@nahmias.net> wrote:
>>
>>> Hello Alexander,
>>>
>>> How are you doing?  Do you have an update on the copyright file for
>>> fceux?  Have you been granted access to collab-maint yet?  If yes, can you
>>> push your updates to there soon?  I've been getting many inquiries about
>>> fceux and I'd like to make an upload to experimental next week.
>>>
>>> Thanks,
>>> --Joe
>>>
>>>
>>> On 3/11/2013 6:22 PM, Alexander Toresson wrote:
>>>
>>>> I have registered an account on Alioth and requested access to the
>>>> collab-maint repo, for the fceux repo.
>>>>
>>>> Can you request access for my account chellomere-guest to the fceux
>>>> repo?
>>>>
>>>> In other news, I received replies from the third mail I sent out
>>>> regarding Lua script licenses today.
>>>>
>>>> Thanks,
>>>> Alexander
>>>>
>>>> On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
>>>> <alexander.toresson@gmail.com> wrote:
>>>>
>>>>> Thanks, that's great! I'll look into how to get access to Alioth.
>>>>>
>>>>> I contacted three people about theur Lua scripts (the three I have
>>>>> found contact info for so far), I already got replies from two.
>>>>>
>>>>> // Alexander
>>>>>
>>>>> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
>>>>>
>>>>>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
>>>>>>
>>>>>>> I've gone through the lua scripts. Many of them are by FCEUX
>>>>>>> contributors who committed them themselves, so GPL-2+ should apply to
>>>>>>> them.
>>>>>>>
>>>>>>> However, there are scripts by a few other authors, with unspecified
>>>>>>> license. I'll need to investigate those.
>>>>>>>
>>>>>>> // Alexander
>>>>>>>
>>>>>>
>>>>>> That's very good.  Just so you know, I've set up a collab-maint git
>>>>>> repo
>>>>>> on alioth for the packaging.  You can find it at:
>>>>>> http://anonscm.debian.org/**gitweb/?p=collab-maint/fceux.**git<http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git>
>>>>>>
>>>>>> If you can get access to alioth, then you should be able to commit
>>>>>> directly there.
>>>>>>
>>>>>> --Joe
>>>>>>
>>>>>
>>
>
[Message part 2 (text/html, inline)]
[copyright (application/octet-stream, attachment)]

Information stored :
Bug#612245; Package wnpp. (Wed, 24 Apr 2013 03:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Wed, 24 Apr 2013 03:54:04 GMT) Full text and rfc822 format available.

Message #80 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Alexander Toresson <alexander.toresson@gmail.com>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Tue, 23 Apr 2013 23:51:20 -0400
Okay, I incorporated most of what you did.  I want to do more checking on
the emu2413.*.
--Joe

On Tue, Apr 16, 2013 at 10:30:18PM +0200, Alexander Toresson wrote:
> Here's the latest version of the copyright file.
> 
> I haven't been able to verify with some utility that the syntax is correct.
> I think that lintian may include some tool to verify machine-readable
> copyright files, but I didn't manage to build any of the old packages I had
> lying around here tonight. Will have to do that later this week, if
> necessary.
> 
> // Alexander
> 
> 
> On Sun, Apr 14, 2013 at 11:01 PM, Alexander Toresson <
> alexander.toresson@gmail.com> wrote:
> 
> > Finished a first version of it today, then realized that I needed to add a
> > public key, which didn't seem to take effect immediately, so I guess I will
> > try tomorrow too, and if it doesn't work then I'll ask the guy that granted
> > me access.
> >
> >
> > On Wed, Apr 10, 2013 at 9:51 PM, Alexander Toresson <
> > alexander.toresson@gmail.com> wrote:
> >
> >> Hey Joe!
> >>
> >> I was granted access a few days ago. The copyright file is basically
> >> done. I'll try to get it pushed this weekend, but I may get time as early
> >> as tonight.
> >>
> >> // Alexander
> >>
> >>
> >> On Wed, Apr 10, 2013 at 9:33 PM, Joe Nahmias <joe@nahmias.net> wrote:
> >>
> >>> Hello Alexander,
> >>>
> >>> How are you doing?  Do you have an update on the copyright file for
> >>> fceux?  Have you been granted access to collab-maint yet?  If yes, can you
> >>> push your updates to there soon?  I've been getting many inquiries about
> >>> fceux and I'd like to make an upload to experimental next week.
> >>>
> >>> Thanks,
> >>> --Joe
> >>>
> >>>
> >>> On 3/11/2013 6:22 PM, Alexander Toresson wrote:
> >>>
> >>>> I have registered an account on Alioth and requested access to the
> >>>> collab-maint repo, for the fceux repo.
> >>>>
> >>>> Can you request access for my account chellomere-guest to the fceux
> >>>> repo?
> >>>>
> >>>> In other news, I received replies from the third mail I sent out
> >>>> regarding Lua script licenses today.
> >>>>
> >>>> Thanks,
> >>>> Alexander
> >>>>
> >>>> On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
> >>>> <alexander.toresson@gmail.com> wrote:
> >>>>
> >>>>> Thanks, that's great! I'll look into how to get access to Alioth.
> >>>>>
> >>>>> I contacted three people about theur Lua scripts (the three I have
> >>>>> found contact info for so far), I already got replies from two.
> >>>>>
> >>>>> // Alexander
> >>>>>
> >>>>> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net> wrote:
> >>>>>
> >>>>>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson wrote:
> >>>>>>
> >>>>>>> I've gone through the lua scripts. Many of them are by FCEUX
> >>>>>>> contributors who committed them themselves, so GPL-2+ should apply to
> >>>>>>> them.
> >>>>>>>
> >>>>>>> However, there are scripts by a few other authors, with unspecified
> >>>>>>> license. I'll need to investigate those.
> >>>>>>>
> >>>>>>> // Alexander
> >>>>>>>
> >>>>>>
> >>>>>> That's very good.  Just so you know, I've set up a collab-maint git
> >>>>>> repo
> >>>>>> on alioth for the packaging.  You can find it at:
> >>>>>> http://anonscm.debian.org/**gitweb/?p=collab-maint/fceux.**git<http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git>
> >>>>>>
> >>>>>> If you can get access to alioth, then you should be able to commit
> >>>>>> directly there.
> >>>>>>
> >>>>>> --Joe
> >>>>>>
> >>>>>
> >>
> >





Information stored :
Bug#612245; Package wnpp. (Wed, 24 Apr 2013 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Toresson <alexander.toresson@gmail.com>:
Extra info received and filed, but not forwarded. (Wed, 24 Apr 2013 18:27:04 GMT) Full text and rfc822 format available.

Message #85 received at 612245-quiet@bugs.debian.org (full text, mbox):

From: Alexander Toresson <alexander.toresson@gmail.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 612245-quiet@bugs.debian.org
Subject: Re: Regarding FCEU/FCEUX
Date: Wed, 24 Apr 2013 20:25:13 +0200
[Message part 1 (text/plain, inline)]
Okay, regarding the translation of the Japanese text, you mean?

I have tried and failed to find contact information to the original author.

// Alexander


On Wed, Apr 24, 2013 at 5:51 AM, Joe Nahmias <joe@nahmias.net> wrote:

> Okay, I incorporated most of what you did.  I want to do more checking on
> the emu2413.*.
> --Joe
>
> On Tue, Apr 16, 2013 at 10:30:18PM +0200, Alexander Toresson wrote:
> > Here's the latest version of the copyright file.
> >
> > I haven't been able to verify with some utility that the syntax is
> correct.
> > I think that lintian may include some tool to verify machine-readable
> > copyright files, but I didn't manage to build any of the old packages I
> had
> > lying around here tonight. Will have to do that later this week, if
> > necessary.
> >
> > // Alexander
> >
> >
> > On Sun, Apr 14, 2013 at 11:01 PM, Alexander Toresson <
> > alexander.toresson@gmail.com> wrote:
> >
> > > Finished a first version of it today, then realized that I needed to
> add a
> > > public key, which didn't seem to take effect immediately, so I guess I
> will
> > > try tomorrow too, and if it doesn't work then I'll ask the guy that
> granted
> > > me access.
> > >
> > >
> > > On Wed, Apr 10, 2013 at 9:51 PM, Alexander Toresson <
> > > alexander.toresson@gmail.com> wrote:
> > >
> > >> Hey Joe!
> > >>
> > >> I was granted access a few days ago. The copyright file is basically
> > >> done. I'll try to get it pushed this weekend, but I may get time as
> early
> > >> as tonight.
> > >>
> > >> // Alexander
> > >>
> > >>
> > >> On Wed, Apr 10, 2013 at 9:33 PM, Joe Nahmias <joe@nahmias.net> wrote:
> > >>
> > >>> Hello Alexander,
> > >>>
> > >>> How are you doing?  Do you have an update on the copyright file for
> > >>> fceux?  Have you been granted access to collab-maint yet?  If yes,
> can you
> > >>> push your updates to there soon?  I've been getting many inquiries
> about
> > >>> fceux and I'd like to make an upload to experimental next week.
> > >>>
> > >>> Thanks,
> > >>> --Joe
> > >>>
> > >>>
> > >>> On 3/11/2013 6:22 PM, Alexander Toresson wrote:
> > >>>
> > >>>> I have registered an account on Alioth and requested access to the
> > >>>> collab-maint repo, for the fceux repo.
> > >>>>
> > >>>> Can you request access for my account chellomere-guest to the fceux
> > >>>> repo?
> > >>>>
> > >>>> In other news, I received replies from the third mail I sent out
> > >>>> regarding Lua script licenses today.
> > >>>>
> > >>>> Thanks,
> > >>>> Alexander
> > >>>>
> > >>>> On Mon, Mar 11, 2013 at 8:37 AM, Alexander Toresson
> > >>>> <alexander.toresson@gmail.com> wrote:
> > >>>>
> > >>>>> Thanks, that's great! I'll look into how to get access to Alioth.
> > >>>>>
> > >>>>> I contacted three people about theur Lua scripts (the three I have
> > >>>>> found contact info for so far), I already got replies from two.
> > >>>>>
> > >>>>> // Alexander
> > >>>>>
> > >>>>> On Mon, Mar 11, 2013 at 7:04 AM, Joe Nahmias <joe@nahmias.net>
> wrote:
> > >>>>>
> > >>>>>> On Sun, Mar 10, 2013 at 09:29:55PM +0100, Alexander Toresson
> wrote:
> > >>>>>>
> > >>>>>>> I've gone through the lua scripts. Many of them are by FCEUX
> > >>>>>>> contributors who committed them themselves, so GPL-2+ should
> apply to
> > >>>>>>> them.
> > >>>>>>>
> > >>>>>>> However, there are scripts by a few other authors, with
> unspecified
> > >>>>>>> license. I'll need to investigate those.
> > >>>>>>>
> > >>>>>>> // Alexander
> > >>>>>>>
> > >>>>>>
> > >>>>>> That's very good.  Just so you know, I've set up a collab-maint
> git
> > >>>>>> repo
> > >>>>>> on alioth for the packaging.  You can find it at:
> > >>>>>> http://anonscm.debian.org/**gitweb/?p=collab-maint/fceux.**git<
> http://anonscm.debian.org/gitweb/?p=collab-maint/fceux.git>
> > >>>>>>
> > >>>>>> If you can get access to alioth, then you should be able to commit
> > >>>>>> directly there.
> > >>>>>>
> > >>>>>> --Joe
> > >>>>>>
> > >>>>>
> > >>
> > >
>
>
>
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 24 Apr 2013 20:06:19 GMT) Full text and rfc822 format available.

Reply sent to Joe Nahmias <jello@debian.org>:
You have taken responsibility. (Wed, 15 May 2013 19:03:32 GMT) Full text and rfc822 format available.

Notification sent to Joseph Nahmias <joe@nahmias.net>:
Bug acknowledged by developer. (Wed, 15 May 2013 19:03:32 GMT) Full text and rfc822 format available.

Message #92 received at 612245-close@bugs.debian.org (full text, mbox):

From: Joe Nahmias <jello@debian.org>
To: 612245-close@bugs.debian.org
Subject: Bug#612245: fixed in fceux 2.2.1+dfsg0-1
Date: Wed, 15 May 2013 19:00:27 +0000
Source: fceux
Source-Version: 2.2.1+dfsg0-1

We believe that the bug you reported is fixed in the latest version of
fceux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612245@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joe Nahmias <jello@debian.org> (supplier of updated fceux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Apr 2013 09:52:14 -0400
Source: fceux
Binary: fceux
Architecture: source i386
Version: 2.2.1+dfsg0-1
Distribution: experimental
Urgency: low
Maintainer: Joe Nahmias <jello@debian.org>
Changed-By: Joe Nahmias <jello@debian.org>
Description: 
 fceux      - all-in-one NES/Famicom Emulator
Closes: 612245
Changes: 
 fceux (2.2.1+dfsg0-1) experimental; urgency=low
 .
   * New upstream version
   * refresh all patches
   * fix_format_string_security_error.patch: use "%s" as format string
   * d/gbp.conf: update options to make it easier to use gbp
   * update copyright with research by Alexander Toresson
 .
 fceux (2.2.0+dfsg0-1) UNRELEASED; urgency=low
 .
   * Initial release, closes: #612245.
   * d/control: add Vcs-* headers
   * use_system_lua.patch: remove optimization that uses lua internals
   * install_to_games_instead_of_bin.patch: install fceux into /usr/games
   * set-script-and-palette-gtkfilechooser-default-directory.patch: set
     default dirs as appropriate in this package
Checksums-Sha1: 
 01347ae63d45441afc8cfce86c1f45cb4a6e2b44 1984 fceux_2.2.1+dfsg0-1.dsc
 85c8283a86c7c75e1d8db57b6d0e4ff8c7963618 4376490 fceux_2.2.1+dfsg0.orig.tar.bz2
 124a785d688c72f5fb70501ada57da035e3c322d 10625 fceux_2.2.1+dfsg0-1.debian.tar.gz
 a92fe62c479c652576861255b964bddefcdc8aea 1643820 fceux_2.2.1+dfsg0-1_i386.deb
Checksums-Sha256: 
 f6a32a6a22538fc3f8430c83ad94d1e481ee88f98546827942129b5fbe268ffe 1984 fceux_2.2.1+dfsg0-1.dsc
 9eabf82beab7138e745985d04b6f5b7d15c4846c0d8fcecddf627226b230a0a1 4376490 fceux_2.2.1+dfsg0.orig.tar.bz2
 9767ccbd33dd8028d6f2327ac30133e83bae82ccb106846eddab52bb94088ca8 10625 fceux_2.2.1+dfsg0-1.debian.tar.gz
 15988406957f6ab7d82e9783ab0ae0cf8ee1bc3f120458a13beea5bae95d730d 1643820 fceux_2.2.1+dfsg0-1_i386.deb
Files: 
 aaf149b738dcc21cd023492b3a9ceb4a 1984 games extra fceux_2.2.1+dfsg0-1.dsc
 1005af7065e41206afec785958547601 4376490 games extra fceux_2.2.1+dfsg0.orig.tar.bz2
 6003b0368c2557a6fdb8ee9e65202ac0 10625 games extra fceux_2.2.1+dfsg0-1.debian.tar.gz
 dd38a0fa69cabacd619c8e51f489d278 1643820 games extra fceux_2.2.1+dfsg0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRd+iWAAoJELEb2RkHmjuY4jIP/07mrvBaPTyt+rTGFyR+p7/R
mTMvmA90FvOXJgXZm7gZT6Wlf3cLlFoQhkM47UReK+nwvdSvJcbhq8Ubk/05llEo
s1ExlnEsiwzQ9JDJFmfy3BEOLsAxsJkXh4Cfmn3G2l25mIaFKlbtFE4PbPjx4Ciz
Um9bT43E/QTIj2FggiEAtQNY+WbjQVqdPsfQHgNYQ1N76IZkHJnaTcnoDd0XjXx6
S+sTTW5wAhX4Pby8I4xgnCmj9u3rm74bp+1K6KFY5jhoiWixQlNHibOKaqBAgStP
ZIWNlFQxqYnuuleNK0VrOsxwqcCHj/X4WYulS9Wp9+lJX/GtRYy4sCXm9ZmVX0CM
BCEtHiPNlR8AqVBZ5hP/ZcNx6jts+gAZaGq9W5oTpWsLXG9v8M8QSvag1N2meqlP
Afqy8rX4wzgHGxcfo39jGSgPZM0hg99Xiow57vYDS5H5J4F+oNOPQHMaFhzwFo9t
ZXpZBdYK9kGQZc3RTwjJXbdOnjX1Hu3qqLFThqjOq0TA/uy57JpLf21YSVfwQkyw
JGy2V7NnzMC/0xkqbEcqkZp7FgQx5d+46zia+WjTN28jfu5CP0nGegWkPWgduikE
3KPl8AKfs2QdVFLcc+oojd/zk8g8iJgIkw4oWhTeo8Edr9u4TwQ3nX7RKJAIyD9f
jqnU/gVPh66aG8OgyfPM
=Hjis
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Jun 2013 07:34:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:05:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.